#!/bin/bash

# 取得今天的日期
today=$(date +%Y-%m-%d)

# 取得昨天的日期
yesterday=$(date -d "yesterday" +%Y-%m-%d)

regex='^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$'



# 檢查信箱格式的函數
function is_email_valid() {
    local email=$1
    if [[ "$email" =~ $regex ]]; then
        return 0
    else
        return 1
    fi
}

# 如果沒有輸入信箱變數 $1
if [ -z "$1" ]; then
    read -e -p "請輸入信箱: " email
else
    email=$1
fi

# 檢查信箱格式
if is_email_valid ${email}; then
#cat /var/log/exim_mainlog |grep "<= ${email} | awk '$1 >= "${yesterday}" && $1 <= "${today}" | awk '{print $1" "$2}' |awk -F : '{print $1"時"}' |sort |uniq -c |sort -n
cat /var/log/exim_mainlog | grep "<= ${email}" | awk -v yesterday="$yesterday" -v today="$today" '$1 >= yesterday && $1 <= today {print $1" "$2}' | awk -F : '{print $1"時"}' | sort | uniq -c | sort -n

 
else
    echo "請檢查您輸入是否為正確信箱格式。"
    exit 1
fi
